Get USD virtual account deposit
curl --request GET \
--url https://api.daya.co/v1/virtual-account-deposits/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/virtual-account-deposits/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/virtual-account-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "100.00",
"currency": "USD",
"settled_amount": "99.50",
"settled_currency": "USD",
"payment_rail": "ach",
"sender": {
"name": "Jane Doe",
"account_number": "****1234",
"bank_name": "Chase"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "0.50", "currency": "USD" },
"total_fee_usd": "0.50"
},
"developer_fee": {
"percentage": "1.5",
"amount": "1.49",
"currency": "USD"
},
"customer_amount": {
"amount": "98.01",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
USD Virtual Account Deposits
Get USD virtual account deposit
Retrieve a payment received into a USD virtual account
GET
/
v1
/
virtual-account-deposits
/
{id}
Get USD virtual account deposit
Overview
Retrieve a specific USD virtual account deposit by ID. Use this endpoint for payments into USD virtual accounts.Use Get deposit for NGN and crypto deposits received through funding accounts.
Authentication
Your merchant API key
Path Parameters
USD account deposit ID (UUID format).Example:
9c4e8400-e29b-41d4-a716-446655440000Request Examples
curl --request GET \
--url https://api.daya.co/v1/virtual-account-deposits/9c4e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
'https://api.daya.co/v1/virtual-account-deposits/9c4e8400-e29b-41d4-a716-446655440000',
{
headers: {
'X-Api-Key': 'YOUR_API_KEY'
}
}
);
const deposit = await response.json();
Response
Returns a USD account deposit object. See List USD account deposits for the full field list.Success Response
{
"id": "9c4e8400-e29b-41d4-a716-446655440000",
"type": "USD_DEPOSIT",
"va_deposit_id": "9c4e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "100.00",
"currency": "USD",
"settled_amount": "99.50",
"settled_currency": "USD",
"payment_rail": "ach",
"sender": {
"name": "Jane Doe",
"account_number": "****1234",
"bank_name": "Chase"
},
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"fees": {
"deposit_fee": { "amount": "0.50", "currency": "USD" },
"total_fee_usd": "0.50"
},
"developer_fee": {
"percentage": "1.5",
"amount": "1.49",
"currency": "USD"
},
"customer_amount": {
"amount": "98.01",
"currency": "USD"
},
"created_at": "2026-01-14T17:00:00Z",
"updated_at": "2026-01-14T17:01:30Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
⌘I